using PTMedicalInsurance.Business.Core.SelfServiceMachine.Process.ReadCard;
using PTMedicalInsurance.Variables;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business.Core.SelfServiceMachine
{
    class PatientService
    {

        public PatientService()
        {
            Global.businessType = "01301";
        }
        /// <summary>
        /// 收费业务
        /// </summary>
        public string GetPatientInfo()
        {
            //joInput 包括( data、mdtrtinfo、diseinfo、settlement)
            ProcessManager pManager = new ProcessManager()
            //物理读卡 + 1101
            .Add(new Process.ReadCard.ReadCardProcess())
            // 根据返回的信息过滤无效信息，保留有效信息
            .Add(new FilterPatInfo())
            ////展示患者信息界面
            //.Add(new ShowPatInfo())
            // 设置患者信息全局变量
            .Add(new SetGlobalVariablesAfaterShowPatInfo());
            // 执行
            return pManager.Run(null);

        }
    }
}
